Subject: Re: Sergey's latest cygwin.dll and pdksh
From: [email-masked] (Chris Faylor)

16 Jun 1997 00:43:37 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <01BC796E.75B28B10@sos>
Reply-To: [email-masked]
X-Newsreader: trn 4.0-test57 (27 Apr 97)
Original-To: [email-masked]
X-Mailer: Perl5 Mail::Internet v1.28
Original-Sender: [email-masked]

In article <01BC796E.75B28B10@sos>,
Sergey Okhapkin  <[email-masked]> wrote:
>Hmmmz wrote:
>> Hmm, I just got a chance to download the latest cygwin.dll and tried my
>> precompiled ksh which showed the same bug, and then I tried recompiling,
>> which bombed out (which I later found out was because of a conflict
>> between dos's sort.exe and the gnu sort.exe), finally got it compiled and
>> it still shows the same bug ;(
>
>It's easy for me to fix this bug, if anyone will answer my question - 
>should sigsuspend() (and the others blocking calls) terminate when 
>receiving blocked or uncatched signal?

Sergey,
If I run the code below on a variety of UNIX systems and tell you how it
works, will that answer your question?

#include <signal.h>
main()
{
    sigset_t nada = 0L;
    if (fork() == 0) {
	sleep(2);
	exit(0);
    }

    sigsuspend(&nada);
    puts("returned");
    exit(0);
}

FYI, I ran this on one system here (Digital UNIX 3.2C) and it blocked
forever.  If this isn't quite right, then, if it is possible, could you
modify this (or throw it away and start from scratch) to show the answer
to your question?

Thanks for all of your efforts.
-- 
http://www.bbc.com/	[email-masked]			"Strange how unreal
VMS=>UNIX Solutions	Boston Business Computing	 the real can be."
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".